petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscGatherNumberOfMessages

Computes the number of messages a node expects to receive

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscGatherNumberOfMessages(MPI_Comm comm,const PetscMPIInt iflags[],const PetscMPIInt ilengths[],PetscMPIInt *nrecvs)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - Communicator Many br
| iflags | - an array of integers of length sizeof(comm). A '1' in ilengths[i] represent a Many brmessage from current node to ith node. Optionally NULL Many br
| ilengths | - Non zero ilengths[i] represent a message to i of length ilengths[i]. Many brOptionally NULL. Many br

### Output Parameters

nrecvs -number of messages received Many br

Many br

### Notes

With this info, the correct message lengths can be determined using Many brPetscGatherMessageLengths() Many br

Either iflags or ilengths should be provided. If iflags is not Many brprovided (NULL) it can be computed from ilengths. If iflags is Many brprovided, ilengths is not required. Many br

### See Also

PetscGatherMessageLengths()

Level:developer
Location:src/sys/utils/mpimesg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages